/*
 *  extend.h
 *
 *  Functions for extending the number of candidate locations for obfuscation.
 *  In general, the candidates are pc modifying instructions without a
 *  fallthrough edge. In particular, most of the functions here add the
 *  unconditional jumps.
 */
#ifndef EXTEND_H
#define EXTEND_H



void ExtendCandidates();

#endif                          // EXTEND_H

