/*
 *  edge.profile.h
 *
 *  Functions for inserting bbl and edge profiling blocks.
 */
#ifndef EDGE_PROFILE_H
#define EDGE_PROFILE_H

/*
 *  Profile will insert counters to profile all basic blocks and edges in the
 *  CFG. This function should be called only once during any execution of PLTO.
 */
void Profile();

/* Reads profile data file and assigns weights to the bbls & edges in the CFG */
void ReadProfiles();

void ProfInit();

void ProfExit(char *fn);

#endif				// EDGE_PROFILE_H
