#include <stdio.h>
#include <stdlib.h>

int main(int argc, char *argv[]){
   FILE *fp; 
   char command[64];

   if(argc < 2){
      printf("Usage: %s <alto profile file>\n",argv[0]); 
      exit(1);
   }

   sprintf(command, "chmod 777 %s",argv[1]);
   system(command);

   fp = fopen(argv[1], "r");
   
   if(fp == 0){
      fprintf(stderr,"Cannot open file %s.\n");
      exit(1);
   }
   
   fread(command, 28, 1, fp);
 
   while(1){
      unsigned int start, end;
      long long count;
      int jtslot;
      fread(&count, 8, 1, fp);
      fread(&start, 4, 1, fp);
      fread(&end,   4, 1, fp);
      fread(&jtslot, 4, 1, fp);
      printf("0x%8.8x -> 0x%8.8x[%d] [%d]\n",start,end,jtslot, count);
      if( feof(fp) )
         break;
   }
   return;
}
