#include <stdio.h>
#include <stdlib.h>

extern char *yytext;
extern long linenum;

void syntaxerror()
{
  fprintf(stderr, "line %d: syntax error at %s\n", linenum, yytext);
  exit(-1);
}

void cmdlineerror(id)
char *id;
{
  fprintf(stderr, "Malformed command line option: %s = ...\n", id);
  exit(-1);
}
  

void warning(s)
char *s;
{
  fprintf(stderr, "%s\n", s);
}

void error(s)
char *s;
{
  fprintf(stderr, "%s\n", s);
  exit(-1);
}
