#ifndef CLONE_H
#define CLONE_H

/*
 *  This file describes functions used to clone different structs.
 */
#include "global.h"

Function *FunClone(Function *fun);
Block *BBLClone(Block *bbl);
Block *FunCloneMarkedBlocks(Function *fun);
Operand *OperandClone(Operand *op);
Instruction *InstrClone(Instruction *instr);
Block *BBLOriginalToCloneFromList(Block *original, Block *list);
Block *BBLOriginalToClone(Block *original, Function *clonedFun);

#endif
