/*
 *  sloop.h
 *
 *  Functions for generating a textual representation of a CFG in a format
 *  recognized by Sloop.
 */
#ifndef SLOOP_H
#define SLOOP_H

void GenerateSloopOutput(FILE *fp, char *phase);
void WriteLeftBrace(FILE *fp);
void WriteRightBrace(FILE *fp);
void WriteCR(FILE *fp);
void WriteComma(FILE *fp);
void WriteSpace(FILE *fp);
void Indent(FILE *fp, int num);

#endif				// SLOOP_H
