/*
 *  disassemble.h
 */
#ifndef DISASSEMBLE_H
#define DISASSEMBLE_H

Instruction *DisassembleSection(Section *code_section);
Instruction *CreateDataInstr(ADDRESS offset, int datasize, UINT8 *data);

/*
 *  Disassembles the data lying at memory address "data" assumed to be 386
 *  instructions.  PC is the instruction address to assign to the first
 *  instruction decoded.  'datasize' bytes will be disassembled.
 */
Instruction *disassemble(ADDRESS pc, int datasize, UINT8 *data);

#endif				// DISASSEMBLE_H
