/*
 *  liveness.cs.h
 *
 *  Context-Sensitive liveness analysis
 */
#ifndef LIVENESS_SENSITIVE_H
#define LIVENESS_SENSITIVE_H

/* Sets the bitvectors for the registers which are live
 * at the start and end of each BBL */
void CSComputeRegisterLiveness(int full);

void CSComputePSWLiveness(int full);

void CSComputeStackLiveness(int full);

#endif				// LIVENESS_SENSITIVE_H
